Page MenuHomePhabricator

DeviceMapLogCapture failing tests due to missing apihelp-devicemaplogcapture-description message missing
Closed, ResolvedPublic

Description

See https://integration.wikimedia.org/ci/job/mwext-testextension-hhvm/33215/console

17:52:01 1) ApiDocumentationTest::testDocumentationExists with data set "Module devicemaplogcapture with MiserMode=false, AllowCategorizedRecentChanges=false" ('devicemaplogcapture', array(false, false))
17:52:01 Module description message apihelp-devicemaplogcapture-description exists
17:52:01 Failed asserting that false is true.
17:52:01 
17:52:01 /srv/jenkins-workspace/workspace/mwext-testextension-hhvm/src/tests/phpunit/structure/ApiDocumentationTest.php:51
17:52:01 /srv/jenkins-workspace/workspace/mwext-testextension-hhvm/src/tests/phpunit/structure/ApiDocumentationTest.php:80
17:52:01 /srv/jenkins-workspace/workspace/mwext-testextension-hhvm/src/tests/phpunit/MediaWikiTestCase.php:399
17:52:01 /srv/jenkins-workspace/workspace/mwext-testextension-hhvm/src/maintenance/doMaintenance.php:111
17:52:01 
17:52:01 2) ApiDocumentationTest::testDocumentationExists with data set "Module devicemaplogcapture with MiserMode=true, AllowCategorizedRecentChanges=true" ('devicemaplogcapture', array(true, true))
17:52:01 Module description message apihelp-devicemaplogcapture-description exists
17:52:01 Failed asserting that false is true.
17:52:01 
17:52:01 /srv/jenkins-workspace/workspace/mwext-testextension-hhvm/src/tests/phpunit/structure/ApiDocumentationTest.php:51
17:52:01 /srv/jenkins-workspace/workspace/mwext-testextension-hhvm/src/tests/phpunit/structure/ApiDocumentationTest.php:80
17:52:01 /srv/jenkins-workspace/workspace/mwext-testextension-hhvm/src/tests/phpunit/MediaWikiTestCase.php:399
17:52:01 /srv/jenkins-workspace/workspace/mwext-testextension-hhvm/src/maintenance/doMaintenance.php:111

Details

Related Gerrit Patches:
mediawiki/extensions/DeviceMapLogCapture : masterFix failing tests due to some apihelp messages missing

Event Timeline

Restricted Application added subscribers: TerraCodes, Aklapper. · View Herald TranscriptJan 4 2017, 6:30 PM
nikitavbv claimed this task.Jan 9 2017, 2:01 AM

Change 331311 had a related patch set uploaded (by Phantom42):
Fix failing tests due to some apihelp messages missing

https://gerrit.wikimedia.org/r/331311

Umherirrender closed this task as Resolved.Jan 28 2017, 7:08 PM

Change 331311 merged by jenkins-bot:
Fix failing tests due to some apihelp messages missing

https://gerrit.wikimedia.org/r/331311